%define 	module	TwistedNames
%define		major	13.0
%define		minor	0

Summary:	Domain name server and a client resolver library
Summary(pl.UTF-8):	Serwer nazw oraz biblioteka kliencka rozwiązująca nazwy
Name:		python-%{module}
Version:	%{major}.%{minor}
Release:	2
License:	MIT
Group:		Libraries/Python
Source0:	http://twistedmatrix.com/Releases/Names/%{major}/%{module}-%{version}.tar.bz2
# Source0-md5:	9264b6f9fc85e1f7ed31d5fd13eeb48a
URL:		http://twistedmatrix.com/trac/wiki/TwistedNames
BuildRequires:	ZopeInterface
BuildRequires:	python-TwistedCore >= 2.4.0
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpm-pythonprov
Requires:	python-TwistedCore >= 2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twisted Names is both a domain name server as well as a client
resolver library. Twisted Names comes with an "out of the box"
nameserver which can read most BIND-syntax zone files as well as a
simple Python-based configuration format. Twisted Names can act as an
authoritative server, perform zone transfers from a master to act as a
secondary, act as a caching nameserver, or any combination of these.
Twisted Names' client resolver library provides functions to query for
all commonly used record types as well as a replacement for the
blocking gethostbyname() function provided by the Python stdlib socket
module.

%description -l pl.UTF-8
Twisted Names to serwer nazw (DNS) oraz biblioteka kliencka
rozwiązująca nazwy (resolver). Twisted Names "z pudełka" zawiera
serwer nazw potrafiący czytać większość plików stref w składni BIND-a,
a także prostym formacie opartym o Pythona. Twisted Names może działać
jako serwer autorytatywny, wykonywać transfery stref z serwera
głównego aby działać jako serwer zapasowy, działać jako serwer
buforujący (cache) lub w dowolnej kombinacji tych funkcji. Biblioteka
kliencka Twisted Names udostępnia funkcje do odpytywania serwera o
wszystkie powszechnie używane rodzaje rekordów, a także zamiennik
blokujacej funkcji gethostbyname() udostępnianej przez moduł
biblioteki standardowej Pythona socket.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%{py_sitedir}/*.egg-info
%{py_sitedir}/twisted/names
%{py_sitedir}/twisted/plugins/*
%changelog
* Mon May 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-TwistedNames.git;a=log;h=master

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> 701bba8
- x32 rebuild
- release 2 (by relup.sh)

* Tue Apr 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c60d547
- up to 13.0.0

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 0a9bf77
- BR: rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 72110db
- release 5

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> 02bbef0
- file paths depend on arch, noarch removed
- relase 4

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> f97b7fb
- %files fix

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> da525e0
- install in py_sitedir like other Twisted\*
- release 2

* Sun Oct 05 2008 Artur Frysiak <artur@frysiak.net> 5208fa7
- updated to 8.1.0

* Fri May 02 2008 luzik <luzik@pld-linux.org> a244022
- updated to 8.0.0

* Sun Jan 06 2008 Elan Ruusamäe <glen@pld-linux.org> 13b0a3e
- if noarch package then install to noarch dir; rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 02aaa14
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8034c36
- converted to UTF-8

* Sun Jan 14 2007 Jakub Bogusz <qboosh@pld-linux.org> d92338d
- pl

* Tue Jan 09 2007 wrobell <wrobell@pld-linux.org> e7e64aa
- based on python-TwistedWeb

